# https://github.com/feedhenry/fh-openshift-templates
# https://github.com/fheng/fh-core-openshift-templates
%global import_mbaas_path        github.com/feedhenry/fh-openshift-templates
%global import_core_path         github.com/fheng/fh-core-openshift-templates

%global package_name             rhmap-fh-openshift-templates
%global mbaas_ose_tarball_name   fh-openshift-templates-0.26.12.redhat-4
%global core_ose_tarball_name    fh-core-openshift-templates-0.1.5.redhat-17
%global mbaas_ose_folder_name    fh-openshift-templates-0.26.12-redhat-4
%global core_ose_folder_name     fh-core-openshift-templates-0.1.5-redhat-17
%global rhmap_ansible_name       rhmap-ansible-release-v4.4.1-1
%global gitlab_migrate_file      gitlab-migrate-2
%global product_name             Red Hat Mobile Application Platform

Name:                      rhmap-fh-openshift-templates
Version:                   4.4.1
Release:                   2%{?dist}
Summary:                   Set of OpenShift templates that can be used to setup the Core and the MBaaS of the Red Hat Mobile Application Platform On-Premise product.
License:                   ASL 2.0
URL:                       https://%{import_mbaas_path}
Source0:                   %{mbaas_ose_tarball_name}.tar.gz
Source1:                   %{core_ose_tarball_name}.tar.gz
Source2:                   %{rhmap_ansible_name}.tar.gz
Source3:                   %{gitlab_migrate_file}.tar.gz
BuildArch:                 noarch

%description
%{summary}

%prep
%setup -q -n %{mbaas_ose_folder_name}
%setup -q -D -b 1 -n %{core_ose_folder_name}
%setup -q -D -b 2 -n %{rhmap_ansible_name}
%setup -q -D -b 3 -n %{gitlab_migrate_file}

%build

%install

echo "+++ Creating folders for ose templates..."
rm -rf %{buildroot}
mkdir -p %{buildroot}/opt/rhmap/4.4/templates/core
mkdir -p %{buildroot}/opt/rhmap/4.4/templates/mbaas
mkdir -p %{buildroot}/opt/rhmap/4.4/rhmap-installer

echo "+++ Copying ose MBaaS templates..."
%{__install} -p -m 0755 %{_builddir}/%{mbaas_ose_folder_name}/fh-mbaas-template-*node.json %{buildroot}/opt/rhmap/4.4/templates/mbaas/
%{__install} -p -m 0755 %{_builddir}/%{mbaas_ose_folder_name}/fh-mbaas-template-1node-non-persistent.json %{buildroot}/opt/rhmap/4.4/templates/mbaas/

echo "+++ Copying ose Core templates..."
%{__install} -p -m 0755 %{_builddir}/%{core_ose_folder_name}/generated/*.json %{buildroot}/opt/rhmap/4.4/templates/core/
%{__cp} %{_builddir}/%{gitlab_migrate_file}/gitlab-migrate.json %{buildroot}/opt/rhmap/4.4/templates/core/

echo "+++ Copying OpenShift Wildcard Proxy template..."
%{__install} -p -m 0755 %{_builddir}/%{core_ose_folder_name}/proxy/fh-nginx-proxy-template.json %{buildroot}/opt/rhmap/4.4/templates/core/

echo "+++ Copy ansible files..."
cp -a %{_builddir}/%{rhmap_ansible_name}/. %{buildroot}/opt/rhmap/4.4/rhmap-installer/

%files
/opt/rhmap/4.4/templates/mbaas/
/opt/rhmap/4.4/templates/core/
/opt/rhmap/4.4/rhmap-installer/*

%changelog

* Mon Jun 19 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.1-2
- Update ansible files for 4.4.1.CR2
* Mon Jun 19 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.1-1
- Update rpm version, add versioning for gitlab-migrate archive 4.4.1.CR1
* Mon Jun 19 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-10
- Update templates and ansible files for 4.4.1.CR1
* Wed Jun 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-9
- Update ansible files for 4.4.0.CR5 (Remove gedit backup files)
* Wed Jun 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-8
- Update ansible files for 4.4.0.CR5
* Mon Jun 12 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-7
- Update templates and ansible files for 4.4.0.CR4
* Thu Jun 08 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-6
- Update templates and ansible files for 4.4.0.CR3
* Mon Jun 05 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-5
- Update templates and ansible files for 4.4.0.CR2
* Tue May 23 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-4
- Fix corrupted version in rhmap ansible archive
* Tue May 23 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-3
- Add gitlab migrate json file
* Mon May 22 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-2
- Update ansible yml files with latest images
* Mon May 22 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-1
- Update structure and files for RHMAP 4.4.0.CR1
* Tue Apr 18 2017 Jozef Mrazek <jmrazek@redhat.com> - 4.4.0-1
- Align rpm version to release version
* Tue Mar 21 2017 Andrea Vibelli <avibelli@redhat.com> - 1.1.0-10
- Fix for Wildcard Proxy template and SCM Docker images unsigned content for RHMAP 4.3.0.CR7 release
* Fri Mar 17 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-9
- Update templates for RHMAP 4.3.0.CR7 release
* Tue Mar 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-8
- Update templates for RHMAP 4.3.0.CR6 release
* Wed Mar 08 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-7
- Update templates for RHMAP 4.3.0.CR5 release
* Thu Mar 02 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-6
- Update templates for RHMAP 4.3.0.CR4 release
* Mon Feb 20 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-5
- Update templates for RHMAP 4.3.0.CR3 release
* Tue Feb 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-4
- Update templates for RHMAP 4.3.0.CR2 release
* Mon Feb 13 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-3
- Update templates for RHMAP 4.3.0.CR1 patch release
* Wed Feb 8 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.1.0-2
- Update templates for RHMAP 4.3.0.CR1 release
* Tue Jan 31 2017 Andrea Vibelli <avibelli@redhat.com> - 1.1.0-1
- Include the MBaaS 1 Node persistent template
- Include the new OpenShift Wildcard Proxy template
* Fri Jan 6 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-5
- Update core templates for RHMAP 4.2.1.CR4 release
* Tue Dec 13 2016 Andrea Vibelli <avibelli@redhat.com> - 1.0.0-4
- Update templates for RHMAP 4.2.1 release
* Tue Dec 6 2016 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-3
- Update templates with patched Productised version
* Thu Dec 1 2016 Andrea Vibelli <avibelli@redhat.com> - 1.0.0-2
- Manage of different source tarballs for MBaaS and Core templates
* Mon Nov 28 2016 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-1
- Update templates with patched Productised version after core and mbaas templates split
* Tue Oct 11 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.169-2
- Updated templates with patched Productised version
* Wed Oct 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.169-1
- Updated templates with latest Productised version
* Wed Sep 28 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.153-1
- Updated templates with latest Productised version
* Tue Sep 20 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.134-1
- Updated templates with latest Productised version
* Wed Sep 14 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.1-2
- Updated templates with latest upstream version; modified version naming
* Tue Sep 6 2016 Andrea Vibelli <avibelli@redhat.com> - 0.1.1-1
- Moved scc-anyuid-with-chroot.json file in core folder
* Mon Sep 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.1.0-1
- Rename of the package into rhmap-fh-openshift-templates
* Mon Sep 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.0.1-1
- First package build of RHMAP OSE templates
